#!/usr/bin/env bash
# DDQ服务端IP
ip=h2-ddq-release-uat.xlink.cn
# DDQ服务端端口
PORT=18996
# 应用ID或者外部授权ID
appId=2e059ec1d8358400
# 密钥
appSecret='8d2d48c04be28a414b46bbcf5107ccbf'
#订阅的主题
subscribeTopic='/thing/event/16057cbfc2ac200916057cbfc2ac4c01/device_attribute_sync_event'
#认证方式 app或者accesskey
authType='app'
# api地址
authHost='https://api-release-uat.xlink.cn'
# 客户端ID
clientId='TEST'
# 启动客户端的数量
clientSize=1
# 线程池的数量，一般不用修改
NettyIoNum=30
# 拉取数据的间隔，单位是毫秒
pullPeriod=100
# 拉取数据的数量限制
pullLimit=1000
# 订阅组ID
groupId=-
# 是否自动ack
isAutoAck=true
# 获取数据模式
mode=push
log4j2_file='config/log4j2.xml'
JVM_PARM='-Xms256m -Xmx512m -Dlog4j.configurationFile='$log4j2_file
PROGRAM_PARAM=$ip' '$PORT' '$appId' '$appSecret' '$subscribeTopic' '$authType' '$authHost' '$clientId' '$clientSize' '$NettyIoNum' '$pullPeriod' '$pullLimit' '$groupId' '$isAutoAck' '$mode


/usr/bin/nohup /data/modules/jdk/bin/java -jar $JVM_PARM netty-http2-demo-1.0.0.jar $PROGRAM_PARAM >/dev/null 2>&1 &